input {
  outline: none !important;
  box-shadow: none !important;
}

video {
  width: 100%;
}

title {
  text-transform: uppercase;
}

a {
  text-decoration: none;
}

/* Style for the Scroll to Top Button */
#scrollToTopBtn {
  position: fixed;
  bottom: 20px;
  left: 20px;
  display: none;
  width: 50px;
  height: 50px;
  background-color: #0f0f0f;
  color: white;
  border: none;
  border-radius: 50%;
  font-size: 20px;
  cursor: pointer;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease-in-out;
  z-index: 2000;
}

#scrollToTopBtn:hover {
  background-color: #ffffff;
  color: #000;
}

.announceSlideItem {
  background: black !important;
  color: white;
}

.offcanvas.offcanvas-end {
  z-index: 10000000000;
}

.blog-content img {
  width: 100%;
  object-fit: cover;
}

/* Add smooth scrolling effect */
html {
  scroll-behavior: smooth;
  letter-spacing: 1px !important;
}

/*============================HEADER====================================*/
#changingText {
  font-size: 0.9em;
  text-align: center;
  background-color: black;
  color: white;
  padding: 10px;
}

#changingText a {
  color: #ffffff;
}

.modal-md {
  max-width: 400px;
}

.global .dropdown-menu {
  height: 400px;
  overflow: auto;
  width: 400px;
}

@media (max-width: 500px) {
  .global .dropdown-menu {
    width: 360px;
  }

}

.global .dropdown-item {
  font-size: 16px;
  color: #333;
  position: relative;
  border-bottom: 1px solid #e0e0e0;
  margin-bottom: 20px;
}

.global .dropdown-item:last-child {
  border-bottom: none;
}

.global .dropdown-item:hover {
  background-color: #dde2e7;
}

.global .check-icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  display: none;
}

.global .dropdown-item.active .check-icon {
  display: inline-block;
}

.global .close-dropdown {
  cursor: pointer;
}

.global .dropdown-item.active,
.global .dropdown-item:active {
  color: black;
  text-decoration: none;
  background-color: white;
}

.cdr-header.mobile-header .main-header {
  border-bottom: 1px solid #f0f0f0;
}

.cdr-header .sub-header .navbar-nav .nav-item {
  margin-left: 1rem;
}

/* main menu header */
ul.navbar-nav,
.dropdown-menu {
  font-size: .9rem;
}

.Main-header .offcanvas {
  transition: transform 0.9s ease, opacity 0.3s ease;
}

.Main-header .offcanvas-backdrop {
  width: 300px;
  background-color: #6e6e6e;
  transition: opacity 0.1s ease;
}

.bagcanvas .offcanvas-backdrop {
  width: 100%;
}

.cdr-header .sub-header .cdr-mobile-search {
  display: none !important;
}

.cdr-header .main-header .cdr-logo a h4 {
  text-align: center;
  letter-spacing: 2px;
  font-size: 1.2rem !important;
}

.cdr-mobile-search,
form.cdr-search-box {
  margin-left: auto;
}

.dropdown-menu>li:hover>.submenu,
.dropdown:hover>.dropdown-menu {
  display: block;
}

.cart-bag {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1rem;
}

.cart-icon {
  position: relative;
}

.cart-count {
  position: absolute;
  top: 1% !important;
  right: -8px;
  background-color: #0e0e0e;
  color: white;
  font-size: .7rem;
  border-radius: 50%;
  width: 16px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
}

.cart-count span {
  align-self: center;
}

.navbar-expand-lg .navbar-nav .dropdown-menu {
  border: none;
}

.desktop-header .main-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.desktop-header .main-header .navbar-collapse {
  flex-grow: 1;
}

.desktop-header .main-header .cdr-logo {
  flex-shrink: 0;
}

.desktop-header .main-header .cdr-country-selector,
.desktop-header .main-header .cart-icon,
.desktop-header .main-header .Sign-In {
  margin-left: 1rem;
}

.desktop-header .navbar-nav {
  display: flex;
  gap: 1rem;
}

.cdr-header.mobile-header {
  display: none;
}

@media (max-width: 500px) {

  .cdr-header.mobile-header {
    display: block;
  }

  .cdr-header .main-header .cdr-logo a h4 {
    text-align: left;
  }

  .cdr-header.desktop-header {
    display: none;
  }

  .cdr-header .main-header .main-menu-left {
    text-align: center;
    padding: .5rem 0;
  }

  .cdr-header .sub-header .cdr-search-box {
    display: none !important;
  }

  .cdr-header .sub-header .cdr-mobile-search {
    display: block !important;
  }

  .cdr-header .main-header .main-menu-middle .cdr-logo a {
    text-align: left;
  }

  .main-menu-middle,
  .main-menu-right {
    margin-top: 5px;
  }

}

/*============================HOME CATEGORY====================================*/
.hover-zoom {
  overflow: hidden;
  position: relative;
}

.hover-zoom img {
  transition: transform 0.5s ease;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hover-zoom:hover img {
  transform: scale(1.01);
}

/* Text Overlay Styling */
.content-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
  font-weight: bold;
}

.content-overlay h2 {
  font-size: 3rem;
  margin-bottom: 10px;
}

.btn-custom {
  background-color: white;
  color: black;
  border: none;
  padding: 10px 20px;
  transition: all 0.3s ease;
}

.btn-custom:hover {
  background-color: black;
  color: white;
}

/* Media Queries */

/* Extra small devices (up to 576px) */
@media (max-width: 576px) {
  .cdr-category .MWtext h2 {
    font-size: 1.8rem;
  }

  .cdr-category .btn-custom {
    font-size: 0.9rem;
    padding: 8px 16px;
  }
}

/* Small devices (577px to 768px) */
@media (min-width: 577px) and (max-width: 768px) {
  .cdr-category .MWtext h2 {
    font-size: 1.8rem;
  }

  .cdr-category .btn-custom {
    font-size: 1rem;
    padding: 4px 9px;
  }
}

/* Medium devices (769px to 992px) */
@media (min-width: 769px) and (max-width: 992px) {
  .cdr-category .MWtext h2 {
    font-size: 2rem;
  }

  .cdr-category .btn-custom {
    font-size: 1.1rem;
    padding: 5px 10px;
  }
}

/* Large devices (993px and above) */
@media (min-width: 993px) {
  .cdr-category .MWtext h2 {
    font-size: 2.5rem;
  }

  .cdr-category .btn-custom {
    font-size: 1.2rem;
    padding: 5px 10px;
  }
}

@media (max-width: 500px) {
  .men-departmant {
    margin-bottom: 1rem;
  }
}

/* ===========HERO SECTION====================  */
.cdr-hero {
  position: relative;
  width: 100%;
  height: 800px;
}

.cdr-slide {
  display: flex;
  align-items: flex-end;
  justify-content: flex-start;
  height: 100%;
  color: white;
  padding: 50px;
}

.cdr-hero-content {
  position: absolute;
  bottom: 50px;
  left: 50px;
  background: none;
  padding: 20px;
  transform: translateY(30px);
  opacity: 0;
  transition: all 0.8s ease-in-out;
  text-align: left;
}

/* Fade-in effect */
.swiper-slide-active .cdr-hero-content {
  opacity: 1;
  transform: translateY(0);
}

.cdr-fade-in {
  transform: translateY(0);
  opacity: 1;
}

/* Headline styling */
.cdr-hero-content h1 {
  text-transform: uppercase;
  font-size: 2rem;
  margin-bottom: 10px;
  text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.6);
}

/* Subtext styling */
.cdr-hero-content p {
  font-size: 1.2rem;
  font-weight: 300;
  margin-bottom: 20px;
  text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.5);
}

.cdr-btn-group a:hover {
  background: #2c2c2c;
}

.cdr-btn-group a {
  padding: 10px 20px;
  background: black;
  color: white;
  text-decoration: none;
}

.cdr-swiper-button-next,
.cdr-swiper-button-prev {
  opacity: 0;
  visibility: hidden;
  transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
  position: absolute;
  padding: 20px;
  border: 1px solid white;
}

/* Show and animate on hover */
.cdr-hero:hover .cdr-swiper-button-next {
  opacity: 1;
  visibility: visible;
  transform: translateX(0px);
}

.cdr-hero:hover .cdr-swiper-button-prev {
  opacity: 1;
  visibility: visible;
  transform: translateX(0px);
}

.cdr-swiper-button-next {
  transform: translateX(50px);
}

.cdr-swiper-button-prev {
  transform: translateX(-50px);
}

.cdr-hero .swiper-button-next::after,
.cdr-hero .swiper-button-prev::after {
  color: white;
}

.cdr-swiper-pagination .swiper-pagination-bullet {
  background: white;
}

/* Mobile Fix */
@media (max-width: 768px) {
  .cdr-hero {
    height: 600px;
  }

  .cdr-hero-content {
    left: 30px;
    bottom: 30px;
    padding: 15px;
    max-width: 300px;
  }

  .cdr-slide {
    padding: 30px;
  }

  .cdr-hero-content h1 {
    font-size: 1.5rem;
  }

  .cdr-hero-content p {
    font-size: .8rem;
  }

  .cdr-btn-group a {
    font-size: .8rem;
  }

  .cdr-women-slide {
    background-position: center !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
  }
}



.cdr-product-introduction img {
  width: 100%;
}

/* Index product image */
.product .image-container {
  position: relative;
  width: 100%;
  overflow: hidden;
  background: #d7d7d7;
}

.product .image-container img {
  transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
  width: 100%;
  mix-blend-mode: multiply;
}

.product .image-container img.second-image {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
}

.product .category-productimg:hover img.first-image {
  opacity: 0;
}

.product .category-productimg:hover img.second-image {
  opacity: 1;
}


/* man product about  */
.men-about .image-box img,
.men-about .image-box video {
  width: 100%;
}

/* Checkout page */
.shipping-form-container {
  max-width: 500px;
  margin: 0 auto;
  border-radius: 20px;
}

.cdr-checkout-form {
  border-left: 1px solid #000;
}

.shipping-form-container h4 {
  font-size: 1rem;
  font-weight: 500;
  margin-bottom: 12px;
  color: #333;
}

.shipping-form-container h3 {
  font-size: 12px;
  font-weight: 500;
  margin-bottom: 12px;
  color: #333;
}

.shipping-form-container .form-control,
.shipping-form-container .form-select {
  width: 100%;
  padding: 6px 8px;
  font-size: .8rem;
  color: #333;
  height: 30px;
  border: none;
  background-color: transparent;
}

.shipping-form-container .form-control:focus,
.shipping-form-container .form-select:focus {
  outline: none;
  box-shadow: none;
}

.shipping-form-container .manual-address {
  font-size: .8rem;
  color: #666;
  margin-top: 4px;
  cursor: pointer;
}

.manual-fields {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease-out, padding 0.5s ease-out;
}

.manual-fields.open {
  max-height: 225px !important;
}


.shipping-form-container .shipping-method-section {
  margin-top: 24px;
}

.shipping-form-container .shipping-options {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.shipping-form-container .shipping-option {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 6px 8px;
  border: 1px solid #e0e0e0;
  cursor: pointer;
  transition: 0.2s;
}

.shipping-form-container .shipping-option:hover {
  border-color: #999;
}

.shipping-form-container .shipping-option input[type="radio"] {
  width: 14px;
  height: 14px;
  border: 2px solid #999;
  border-radius: 50%;
  appearance: none;
  cursor: pointer;
}

input[type="radio"]:checked {
  background-color: #ffff;
}

.shipping-form-container input[type="radio"]:checked {
  border: 4px solid #000;
}

.shipping-form-container input[type="checkbox"]:checked {
  background-color: #000 !important;
  border-color: #000;
}

.shipping-form-container .shipping-option-content {
  flex: 1;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.shipping-form-container .shipping-name,
.shipping-form-container .shipping-price {
  font-size: 12px;
  font-weight: 500;
  color: #333;
}

.shipping-form-container .shipping-time {
  font-size: .8rem;
  color: #666;
}

.shipping-form-container .total-cost {
  margin-top: 12px;
  padding: 8px;
  border-radius: 6px;
  font-size: 12px;
  font-weight: 500;
  color: #333;
  text-align: right;
}

.shipping-form-container .form-row {
  display: flex;
  gap: 0;
}

.shipping-form-container .form-row .col-md-6 {
  flex: 1;
}

.shipping-form-container .form-row .col-md-6 input {
  width: 100%;
  padding: 6px 8px;
  font-size: 12px;
}


.checkout-card {
  max-width: 600px;
  margin: 0 auto;
}

.placeholder-image img {
  width: 80px;
  height: 100px;
  background-color: #e9ecef;
  border-radius: 5px;
}

.total-amount {
  font-weight: bold;
}

.ch-total-price span:last-child {
  font-weight: bold;
  font-size: 1.2rem;
}

.product-name {
  font-size: 0.8rem;
}

.quantity,
.price,
.summary span {
  font-size: 0.8rem;
}

.delete-cart {
  cursor: pointer;
  font-size: 1.4rem;
  color: red;
  text-align: right;
  margin-top: -50px;
  padding: 10px;
}

/* Checkout page */
.payment-methods {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
  justify-content: space-between;
}

.payment-methods img {
  width: 20px;
  height: 20px;
}

.payment-methods button {
  padding: 10px;
  border-radius: 6px;
  text-align: center;
  border: 1px solid #ddd;
  font-size: .7rem;
}

.payment-methods button:hover {
  border: 1px solid #000000;
}

.payment-methods .dropdown {
  width: 100%;
}

.payment-methods .dropdown-menu {
  min-width: 100%;
}

.payment-fields {
  margin-top: 20px;
  display: none;
}

.payment-fields input {
  width: 100%;
  padding: 8px;
  margin-bottom: 10px;
}

.payment-methods i {
  margin-right: 10px;
}

#coupon-section {
  width: 100%;
}

#coupon-input {
  padding-right: 70px;
}

button.btn.coupon-apply {
  margin-left: -68px;
}

.is-invalid {
  border-color: red;
}

.is-valid {
  border-color: #28a745;
}

@media (max-width: 500px) {
  .cdr-checkout .checkout-card .card-body {
    padding: 0 !important;
  }

  .shipping-form-container{
    margin-top: 1.5rem;
  }
}

/*===============PRODUCT PAGE=================================*/
.cdr-image-gallery .swiper-button-next::after,
.cdr-image-gallery .swiper-button-prev::after {
  color: #ffffff;
}

.filter-card {
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  padding: 20px;
  border-radius: 8px;
  background-color: #f9f9f9;
}

.filter-header {
  font-size: 1.25rem;
  font-weight: 600;
  margin-bottom: 15px;
  color: #343a40;
}

.filter-section {
  margin-bottom: 15px;
}

.clear-filters-btn {
  width: 100%;
  background-color: #000000;
  color: white;
  border: none;
  padding: 10px;
  cursor: pointer;
  border-radius: 5px;
}

.clear-filters-btn:hover {
  background-color: #ffffff;
  color: rgb(0, 0, 0);
  font-weight: bolder;
}

.slider-value {
  display: inline-block;
  margin-top: 10px;

}

.filter-label {
  font-size: 0.9rem;
  font-weight: 500;
  color: #6c757d;
}

.rating-stars i {
  color: #ffbc00;
}

/* Customize the slider track */
#price-range::-webkit-slider-runnable-track {
  background-color: black;
}

/* Customize the slider thumb */
#price-range::-webkit-slider-thumb {
  background-color: rgb(255, 255, 255);
  border: 2px solid #000;
}

/* newslater section */
.cdr-newsletter {
  margin-top: 100px;
}

.cdr-newsletter h5 {
  letter-spacing: 3px;
}

.product-cart-button div {
  width: 100%;
}

.cart-button,
.checkout-button {
  width: 100%;
  border-radius: 0;
}

.checkout-button,
.disabled.checkout-button {
  background: transparent;
  color: #000;
}

@media (max-width: 500px) {
  .cdr-newsletter {
    text-align: center;
  }

  .newslater-form {
    margin-top: 1rem;
  }

  .product-cart-button {
    width: 100%;
    display: inline-block !important;
  }
}

.swiper {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/*inspiration vedio */
.video-wrapper {
  width: 100% !important;
  position: relative;
  display: inline-block;
}

.video-player {
  width: 100%;
  height: auto;
  display: block;
}

.video-overlay,
.video-end-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 2rem;
  color: white;
  background: rgba(0, 0, 0, 0.6);
  border-radius: 50%;
  padding: 1rem;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.video-overlay {
  z-index: 2;
}

.video-end-overlay {
  z-index: 3;
}

.video-end-overlay.d-none {
  display: none;
}

.video-player:focus {
  outline: none;
}

.suggestions {
  border: 1px solid #ddd;
  max-height: 200px;
  overflow-y: auto;
  background-color: #fff;
  position: absolute;
  z-index: 1000;
  width: 100%;
}

.suggestion-item {
  padding: 8px;
  cursor: pointer;
}

.suggestion-item:hover {
  background-color: #f0f0f0;
}

/* product details */
#sizeSelector .nav-link {
  color: #000;
}

.accordion-button:not(.collapsed) {
  color: black;
  background-color: rgb(235, 235, 235);
  box-shadow: none;
}

.accordion-button:focus {
  border-color: black;
}

.wrapper {
  display: flex;
  flex-direction: row;
  border-radius: 10px;
  gap: 20px;
}

.mainImage {
  width: 100%;
  max-width: 600px;
  flex-grow: 1;
  overflow: hidden;
  cursor: zoom-in;
}

.mainImage img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.05s ease-out;
}

.product-details .thumbnail {
  width: 100%;
  height: 500px;
  max-width: 100px;
  position: relative;
  overflow: hidden;
}

.product-details .thumbnail .swiper-container {
  width: 100%;
  height: 100%;
}

.product-details .thumbnail .swiper-wrapper {
  display: flex;
  flex-direction: column;
}

.thumbnailBox {
  border-radius: 4px;
  overflow: hidden;
  cursor: pointer;
  border: 2px solid transparent;
  transition: all 0.3s ease;
}

.thumbnailBox.active {
  border: 2px solid #202020;
}

.thumbnailBox img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.thumbnail .swiper-container-vertical .swiper-button-next,
.thumbnail .swiper-container-vertical .swiper-button-prev {
  left: 50%;
  transform: rotate(90deg);
  transform-origin: left center;
}

.thumbnail .swiper-container-vertical .swiper-button-prev {
  top: 10px;
}

.thumbnail .swiper-container-vertical .swiper-button-next {
  top: auto;
  bottom: 10px;
}

/* Swiper Next and Prev buttons style */
.thumbnail .swiper-button-next,
.thumbnail .swiper-button-prev {
  cursor: pointer;
}

.swiper-button-next::after,
.swiper-button-prev::after {
  font-size: 20px;
  color: black;
}

#zoomed-product-gallery .modal-dialog {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
}

#FullscreenModal .swiper {
  width: 100%;
  height: 100%;
}

#zoomed-product-gallery .swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
}

#zoomed-product-gallery .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
}


/* Custom Styles for the Gallery */
.smallScreengallery .swiper {
  width: 100%;
  height: 100%;
}

.smallScreengallery .swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.smallScreengallery .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (min-width: 768px) {
  .zoomed-product-gallery .swiper-button-prev {
    left: 20% !important;
  }

  .zoomed-product-gallery .swiper-button-next {
    right: 20% !important;
  }
}

.zoomed-product-gallery .swiper-button-next::after,
.zoomed-product-gallery .swiper-button-prev::after {
  font-size: 2rem;
}

.cdr-product-info {
  font-size: .8rem;
}

.cdr-product-info .accordion-button {
  font-size: .9rem;
}

.cdr_size_dropdown_container {
  position: relative;
  margin: 20px 0;
  border: 1px solid #000;
}

.cdr_dropdown_header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  cursor: pointer;
  background-color: #fff;
}

.cdr_dropdown_header span {
  color: #666;
  font-size: 16px;
}

.cdr_dropdown_arrow {
  transition: transform 0.3s;
}

.cdr_dropdown_arrow.cdr_open {
  transform: rotate(180deg);
}

.cdr_dropdown_content {
  display: none;
  border-top: 1px solid #ddd;
}

.cdr_dropdown_content.cdr_show {
  display: block;
}

.cdr_size_option {
  display: flex;
  justify-content: space-between;
  padding: 15px;
  border-bottom: 1px solid #eee;
  cursor: pointer;
}

.cdr_size_option:hover {
  background-color: #f0f0f0;
}

.cdr_size_option.cdr_selected {
  background-color: #e6f0ff;
}

.cdr_size_option:last-child {
  border-bottom: none;
}

.cdr_size {
  font-weight: bold;
}

.cdr_price {
  color: #d73814;
  font-weight: bold;
}

.cdr_special_price {
  color: #8a8a8a;
  font-weight: bold;
}

.cdr_delivery_info {
  display: flex;
  align-items: center;
  padding: 10px 15px;
  background-color: #f9f9f9;
  border-top: 1px solid #eee;
}

.cdr_delivery_info svg {
  margin-right: 10px;
}

/* Hidden native select for form submission */
.cdr_native_select {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

/*================== FOOTER ============================*/

.cdr-footer .footer-copyright {
  font-size: .9rem;
}

.cdr-footer .footer-brand {
  font-size: 1.2rem !important;
}

.cdr-footer .footer-widget {
  font-size: .9rem;
}

.cdr-footer .footer-widget h5 {
  font-size: .9rem;
}

@media (max-width: 500px) {
  .cdr-footer .footer-widget {
    font-size: .75rem;
  }
}


/*=================== Country Selector =========================*/

.showPopup {
  cursor: pointer;
  font-size: 16px;
  display: flex;
  justify-content: end;
  align-items: center;
  gap: 1rem;
}

@media (max-width: 500px) {
  .showPopup {
    font-size: 15px;
    justify-content: start;
  }
}

@media (max-width: 769px) {
  .showPopup {
    justify-content: center;
  }
}

.side-popup,
.sub-side-popup {
  width: 560px;
  height: 100%;
  position: fixed;
  top: 0;
  background-color: white;
  overflow-x: hidden;
  transition: 0.5s;
}

.side-popup {
  z-index: 101;
  left: -560px;
}

.sub-side-popup {
  z-index: 1000002;
  left: -560px;
}

.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(0 0 0 / 16%);
  z-index: 100;
}

.location-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  border-bottom: 1px solid #f0f0f0;
}

.location-header span {
  font-size: 15px !important;
}

.close-popup {
  border: none;
  background: none;
  font-size: 40px;
  cursor: pointer;
  font-weight: 300;
  line-height: 20px;
}

.location-section h2 {
  margin: 0;
  background: #f0f0f0;
  border-bottom: 1px solid #e5e7eb;
  padding: 12px 20px;
  font-size: 20px;
}

.location-section ul {
  list-style: none;
  margin: 0;
  padding: 0;
  padding-left: 15px;
}

.location-section ul li {
  padding: 15px;
  border-bottom: 1px solid #f0f0f0;
  cursor: pointer;
  position: relative;
}

.location-section ul li .arrow {
  position: absolute;
  right: 10px;
  top: 10px;
}

.location-section ul li:hover {
  opacity: .7;
}

.sub-side-popup {
  right: -560px;
}

.location-section ul li .arrow {
  right: 15px;
}

.location-lang {
  padding-left: 0px;
  margin-top: 0px;
}

.location-back {
  margin-top: 0px;
}

.location-back {
  margin-bottom: 0px;
}

.location-back li:last-child {
  border-bottom: 1px solid #f0f0f0;
}

.location-back li {
  line-height: normal;
}

.location-lang li,
.location-back li {
  list-style: none;
  padding: 15px;
  border-bottom: 1px solid #f0f0f0;
}

.location-lang li a,
.location-back li a {
  text-decoration: none;
  color: #000;
  padding-left: 35px;
}

.location-lang li:last-child {
  border: none;
}

.location-lang li :hover,
.location-back li :hover {
  opacity: .7;
}

.location-lang .close-popup,
.location-back .close-popup {
  font-size: 1rem;
  position: relative;
  padding-left: 18px;
}

.location-back .close-popup {
  font-size: 15px;
  box-shadow: none;
}

.location-back .close-popup:hover {
  background: white;
}

.location-lang .close-popup:before,
.location-back .close-popup:before {
  content: '';
  position: absolute;
  left: 4px;
  top: 18%;
  transform: translateY(-50%);
  width: 8px;
  height: 8px;
  border-top: 2px solid #000;
  border-right: 2px solid #000;
  transform: rotate(-133deg);
  transition: transform 0.3s ease;
  margin-top: 4px;
}

.location-lang .close-popup:hover:before,
.location-back .close-popup:hover:before {
  left: 0;
}

.location-section ul li button {
  border: none;
  background-color: transparent;
  padding: 0px;
  cursor: pointer;
  font-size: 15px;
  line-height: normal;
}

.location-section ul li button span.flag-icon {
  margin-right: 4px;
  border-radius: 2px;
}

.location-section ul li:after {
  top: calc(40% - 1px);
  background-repeat: no-repeat;
  background-size: 12px 12px;
  right: 50px;
  content: '';
  position: absolute;
  transform: translateY(-50%);
  width: 8px;
  height: 8px;
  border-top: 2px solid #000;
  border-right: 2px solid #000;
  transform: rotate(-319deg);
  transition: transform 0.1s ease;
}

.location-section ul li:hover::after {
  right: 45px;
}

.location-section ul li:last-child {
  border: none;
}

.location-section ul li button {
  color: #000;
}

.location-back .close-popup {
  color: #000;
}

.country_selector_dropdown-content {
  min-width: 800px;
}

.country_selector_dropdown:hover .country_selector_dropdown-content {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
}

.showPopup img,
.country_selector_dropbtn img {
  height: 16px;
}

/* Styles for screens smaller than 600px (typical smartphones) */
@media only screen and (max-width: 600px) {

  .side-popup,
  .sub-side-popup {
    width: 100%;
  }

  .location-section ul li:after {
    right: 34px;
  }
}

button.close-popup-1 {
  display: none;
}


/* ========================CART PAGE=========================================*/
/* Order Summary Styles */
.cdr-cart .order-summary,
.cart-coupon {
  background-color: #ffffff;
  border-radius: 15px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
  padding: 20px;
}

.cdr-cart .list-group-item {
  border: none;
}

.cdr-cart .list-group-item.bg-light {
  background-color: #f8f9fa !important;
}

.cdr-cart .btn-checkout {
  background-color: #000000;
  color: #ffffff;
  border: none;
  border-radius: 25px;
  padding: 15px;
  font-size: 1rem;
  font-weight: bold;
  transition: background-color 0.3s ease;
}

.cdr-cart .btn-checkout:hover {
  background-color: #c8a165;
}

.cart-offcanvas-footer button {
  border-radius: 0;
  letter-spacing: 2px;
  font-weight: 200;
}

/*================PRODUCT CARD==================*/
.quick-view-btn {
  border: none;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.quick-view-btn i {
  font-size: .8rem;
}

.cdr-product-card .quick-view-btn {
  opacity: 0;
  visibility: hidden;
  transform: translateY(-10px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

/* Show the quick-view button on hover */
.cdr-product-card:hover .quick-view-btn {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

/*================CUSTOM PEODUCT QUICK VIEW MODAL==================*/
.product-title {
  font-size: 1.1rem;
  letter-spacing: 1.5px;
  text-transform: uppercase;
}

.product-price span {
  font-size: 1.1rem;
}

.product-price del {
  font-size: .8rem;
}

.custom-modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.8);
}


.custom-modal-content {
  background-color: #fff;
  margin: 15% auto;
  padding: 20px;
  border-radius: 10px;
  width: 100%;
  max-width: 950px;
  position: relative;
}

.custom-modal-close {
  position: absolute;
  top: 3px;
  right: 15px;
  color: #000;
  font-size: 24px;
  font-weight: bold;
  cursor: pointer;
}

.custom-modal-close:hover {
  color: red;
}

.size-selector {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-top: 10px;
}

.size-box {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #ddd;
  border-radius: 4px;
  cursor: pointer;
  font-size: 14px;
  font-weight: bold;
  transition: background-color 0.3s, border-color 0.3s;
  letter-spacing: 2px;
}

.size-box:hover {
  border-color: #a1a1a13d;
  background-color: #f0f0f0;
}

.size-box.active {
  background-color: #a1a1a13d;
  color: #000000;
  border: 1px solid #000000;
}

.product-thumbnail img {
  width: 100%;
  margin-top: 1rem;
}

@media (max-width: 768px) {
  .custom-modal {
    height: 100%;
  }

  .cdr-description-text img {
    width: 100%;
    height: auto;
  }
}

.product-thumbnail {
  width: 100%;
  max-width: 300px;
  margin: 0 auto;
}

.product-thumbnail img {
  width: 100%;
  height: auto;
  border-radius: 10px;
}

.swiper-button-next,
.swiper-button-prev {
  color: #000;
}

.swiper-pagination-bullet {
  background: #000;
}

/*=================STYLE INSPIRETION ==================*/
.style-inspiration img,
.style-inspiration video {
  width: 100%;
  object-fit: cover;
}

.style-inspiration .styleInsiration video,
.style-inspiration .styleInsiration img {
  height: 575px;
}

/*=================CHECK MARK ANIMATION ================*/
.success-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 30px;
}

.checkmark-circle {
  width: 100px;
  height: 100px;
  position: relative;
  border-radius: 50%;
  background: #4caf50;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: pop-in 0.5s ease-out;
}

.checkmark-circle .circle {
  position: absolute;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.5);
  animation: pulse 1.5s infinite;
}

.checkmark-circle .checkmark {
  position: absolute;
  width: 35px;
  height: 70px;
  border: solid white;
  border-width: 0 6px 6px 0;
  transform: rotate(45deg);
  animation: draw-checkmark 0.5s ease-out 0.3s forwards;
  opacity: 0;
}

.checkmark-circle h4 {
  color: #4caf50;
  font-size: 24px;
  margin-top: 20px;
  animation: fade-in 1s ease-out 0.5s forwards;
  opacity: 0;
}

.checkmark-circle p {
  color: #333;
  font-size: 16px;
  margin-top: 10px;
  animation: fade-in 1s ease-out 0.7s forwards;
  opacity: 0;
}

@keyframes pop-in {
  0% {
    transform: scale(0);
    opacity: 0;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes pulse {
  0% {
    transform: scale(1.2);
    opacity: 0.3;
  }

  50% {
    transform: scale(1.4);
    opacity: 0.1;
  }

  100% {
    transform: scale(1.6);
    opacity: 0;
  }
}

@keyframes draw-checkmark {
  0% {
    opacity: 0;
    transform: scale(0.5) rotate(45deg);
  }

  100% {
    opacity: 1;
    transform: scale(1) rotate(45deg);
  }
}

@keyframes fade-in {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

/*================= LOGIN ==================*/
.cdr-login {
  max-width: 400px;
}

.cdr-login .form-control {
  border-radius: 0;
  padding: .5rem 1rem;
}

.cdr-login button {
  border-radius: 0;
  letter-spacing: 1px;
}

/*=================SHOPPING CART ANIMATION==================*/


.offcanvas-body {
  position: relative;
}

.cart-spinner {
  position: absolute;
  top: 50%;
  left: 50%;
}


/*=================Additional==================*/
.cdr-button {
  text-decoration: none;
  color: #000000;
}

.cart-checkout {
  display: block;
  text-align: center;
}


.input-container {
  position: relative;
  margin-bottom: 20px;
}

.input-container input,
.input-container select {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  outline: none;
  font-size: 0.9rem;
  background: white;
}

.input-container label {
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translateY(-50%);
  background: white;
  padding: 0 5px;
  color: #999;
  transition: all 0.2s ease-in-out;
  pointer-events: none;
  font-size: 0.8rem;
}

.input-container.focused label {
  top: 0;
  left: 10px;
  font-size: 12px;
  color: #1a1a1a;
}

.input-container input:focus {
  border-color: #161616;
}


.iti {
  width: 100%;
}

span.ms-2.ck-tooltip {
  position: absolute;
  right: 1%;
  top: 22%;
}

span.error-message {
  position: absolute;
  top: 100%;
  left: 0;
  font-size: .9rem;
  color: #fd0000;
  text-align: left;
  padding-bottom: .5rem !important;
}

.is-invalid {
  border-color: #fd0000 !important;
}

.payment-button,
.apple-pay,
.google-pay {
  border-radius: 0;
}

.selected-method {
  border-color: #000 !important;
}

.card-img {
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 0px;
  text-align: center;
  height: 354px;
  width: 100%;
  object-fit: contain;
}

.card-title {
  margin-bottom: 0.3rem;
}

.cat {
  display: inline-block;
  margin-bottom: 1rem;
}

.fa-users {
  margin-left: 1rem;
}

.cdr-faq .accordion-item {
  border-top: none !important;
  border-right: none !important;
  border-left: none !important;
  border-bottom: 1px solid rgb(218, 218, 218);
}

.cdr-privacy-policy .content p {
  margin-bottom: .2rem;
}

.cdr-forgetpass {
  width: 500px;
}


.product-social-share .nav-tabs {
  border-bottom: none;
}

.product-social-share .nav-tabs .nav-link {
  font-size: 0.8rem;
  color: black;
  border: none !important;
  background: none;
  padding: 5px 10px;
}

.product-social-share .nav-tabs .nav-link.active {
  font-weight: bold;
  color: black;
}

.product-social-share .tab-content {
  font-size: .9rem;
  padding: 10px;
}

.product-social-share .tab-content p {
  margin-bottom: .3rem;
}

.product-social-share .tab-content a {
  text-decoration: none;
  color: black;
}

/*==============================MY ACCOUNT==================================*/

.my-account p {
  margin-bottom: 0px;
}

.my-account input[type="radio"]:checked {
  background-color: #000000;
}

.my-account .form-check-input:checked {
  border-color: #000000;
}

.my-account button {
  border-radius: 0px;
}

.my-account .nav-pills .nav-link {
  border: 1px solid rgb(168, 168, 168);
  border-radius: 0;
  font-size: .8rem;
}

.my-account .nav-pills .nav-link.active {
  color: var(--bs-nav-pills-link-active-color);
  background-color: #dfdfdf;
  font-weight: bold;
}


/*===================THANK YOU PAGE=========================*/
.cdr-thank-you .contact-details {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.cdr-thank-you .contact-details p {
  margin-bottom: 5px;
}

.cdr-thank-you .billing-shipping {
  display: flex;
  justify-content: space-between;
}

.cdr-thank-you .cdr-product {
  display: flex;
  justify-content: space-between;
}

.cdr-thank-you .cdr-product a,
.cdr-thank-you .cdr-product {
  font-size: .8rem !important;
}


@media (max-width: 500px) {
  .cdr-thank-you .contact-details {
    display: block;
  }

  .cdr-thank-you .billing-shipping {
    display: block;
  }

  .cdr-thank-you .shipping-address {
    margin-top: 20px !important;
  }
}


/*===================CHECKOUT=========================*/
.payment-breakdown {
  bottom: 12px;
  left: 50%;
  transform: translateX(-50%);
}


@media (max-width: 500px) {
  .cdr-checkout-header .back-to-shop {
    width: 100%;
    text-align: center;
  }

  .payment-breakdown {
    bottom: 0;
  }
}